incubator-ooo-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 119090] Default Encryption Fails for Down-Level Implementations
Date Mon, 19 Mar 2012 15:03:59 GMT
https://issues.apache.org/ooo/show_bug.cgi?id=119090

--- Comment #5 from orcmid <orcmid@apache.org> 2012-03-19 15:03:59 UTC ---
Why is it not a blocker to release code that will, by default and without
notice, change the encryption method used, so that the document will be
unreadable by anyone who has the key but is using a version that does not
recognize that optional encryption instead of the only one that is required to
be supported for both consumption and production?

The recommendation is to accept the optional ones that are allowed in
conforming implementations (since some will be in the wild as LO 3.5.x goes
into use) but to only produce the one form that is assured to roundtrip among
all known ODF 1.0/1.1/1.2 consumers that support encryption?

-- 
Configure bugmail: https://issues.apache.org/ooo/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

Mime
View raw message